# NIAID Design System (NDS) Drupal Theme

## Overview

The NDS Drupal Theme is a base theme which is integrated with NIAID Design System. NDS Drupal Theme out-of-the-box is responsive, with many regions provided for advanced functionality. Additionally, NDS Drupal Theme distributions come with many theme settings. 

Core Theme Features:

* Seamless NDS integration.
* Change the look of the website by selecting the theme base color and other styles.
* Configurable NIAID Design System branding logo. 
* Configurable font selections for headings and body text.
* Fully Responsive 

## Downloading and Installing

1. Download the NDS Drupal Theme from the [NDS Documentation Site](http://nds.niaid.nih.gov.s3-website-us-east-1.amazonaws.com/).
2. Unzip the NDS Drupal Theme folder.
3. Place the theme contents under the Custom Directory (themes/custom/nds-drupal-theme).
4. Install as any other Drupal Contributed Theme. For more information about installing a Contributed theme, please visit [Drupal's documentation site](https://www.drupal.org/docs/extending-drupal/installing-themes).
## Working with NDS

The NDS source code is a core piece of the NDS Drupal Theme. NDS is built using Pattern Lab. In order to add custom components and to generate CSS and JS, you will need the following technologies:

* Node.js
* NPM
* Gulp
* PHP
* Composer

Execute the following steps to get setup:
```
cd nds-drupal-theme/patternlab
```
```
npm ci
```
```
gulp init
```
```
composer install
```
```
gulp
```

Gulp is a technology responsible for building your theme assets locally.

For more information about getting started with NDS, please visit the [Getting Started page](http://nds.niaid.nih.gov.s3-website-us-east-1.amazonaws.com/getting-started).

## Drupal Configuration

Configure theme settings in Administration » Appearance » Settings » NDS Drupal Theme

* Logo 
    - Select Product Identity and fill out the top field (ex. NIAID).
    - Select Product Identity and optionally fill out the bottom field (ex. Design System).
* Font Headings 
    - Select one from the available options.
* Body Headings 
    - Select one from the available options.
* Shadows 
    - Pick either flat or shadows.
* Corners 
    - Select one from the available options.
* Website Colors: 
    - Select website base theme color. For more information about NDS Theme Color, please visit http://ids-theme-builder.niaid.nih.gov.s3-website-us-east-1.amazonaws.com/. 

## Menus
In the NDS Drupal Theme, the primary menu is currently hardcoded and implemented using the NDS Primary Navigation component. In order to modify this menu, please place the menu block on Primary Menu region and uncomment the {{ page.primary_meneu }} in the page.html.twig file.

The pattern for the menu is found here: @nds/02-molecules/navigation/navigation-primary/_navigation-primary-main.twig. 

## Built With

* [Pattern Lab](https://patternlab.io/) - Atomic Design System Framework
* [Bootstrap 4](https://getbootstrap.com/docs/4.6/getting-started/introduction/) - Grid System Framework
* [Gulp](https://gulpjs.com/) - JS-Based Task Manager

## Team

### Developers
* [Roshana Devkota](https://github.com/roshana-devkota-nih) - Drupal Developer
* [Jacob Caccamo](https://github.com/caccamojr) - Creator, UI/UX Designer & Front-End Developer

### DevOps
* [Souley Coulibaly](https://github.com/souleyNIAID) - DevOps Lead
* [Vikram Mareddy](https://github.com/vikram-nih) - DevOps SME

### Analytics
* Leah Spix - Analytics Lead

### Testing
* Hilary Konzolo - Testing/QA Lead